ReferenceItem lists
Companies / Specializations
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- response
[index: integer]?curl -X GET 'https://<your-instance>/api/item-lists/companies/specializations' \ -H 'Authorization: Bearer <access-token>'[ { "id": 0, "name": "string", "number": 0 }]POST
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- body
id?integerFormat
int32name?|Length
length <= 30number?|Format
int32application/json- response
id?integerFormat
int32name?|Length
length <= 30number?|Format
int32curl -X POST 'https://<your-instance>/api/item-lists/companies/specializations' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": 0, "name": "string", "number": 0}GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- response
id?integerFormat
int32name?|Length
length <= 30number?|Format
int32curl -X GET 'https://<your-instance>/api/item-lists/companies/specializations/0' \ -H 'Authorization: Bearer <access-token>'{ "id": 0, "name": "string", "number": 0}PATCH
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- body
id?integerFormat
int32name?|Length
length <= 30number?|Format
int32application/json- response
id?integerFormat
int32name?|Length
length <= 30number?|Format
int32curl -X PATCH 'https://<your-instance>/api/item-lists/companies/specializations/0' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": 0, "name": "string", "number": 0}DELETE
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32curl -X DELETE 'https://<your-instance>/api/item-lists/companies/specializations/0' \ -H 'Authorization: Bearer <access-token>'Empty